Sections

Health check and OAuth sign-in

Used by the website. These routes don't accept an API key.

GET/health

Health

Public

Response: any

curl
curl 'https://api.papervantage.com/health'

GET/oauth2/authorize

Oauth Authorize Proxy

Public

Response: any

curl
curl 'https://api.papervantage.com/oauth2/authorize'

GET/oauth2/callback

Oauth Callback

Public

Response: any

curl
curl 'https://api.papervantage.com/oauth2/callback'

POST/oauth2/register

Oauth Register

Public

Response: any

curl
curl -X POST 'https://api.papervantage.com/oauth2/register'

POST/oauth2/token

Oauth Token Proxy

Public

Response: any

curl
curl -X POST 'https://api.papervantage.com/oauth2/token'

Next: Papers (website and owner)